// Archivo JScript
//----------------------------------------------------------------------------------------------------------------------
// Relación de cambios
//----------------------------------------------------------------------------------------------------------------------

//Variables globales
var AjaxDataUrl = new String("Ajax/AjaxData.aspx");
var isReadOnly = false;

//Registro de controles:

//* Variable para evitar el conflicto entre jQuery y Prometheus
//var $j = jQuery.noConflict();
//*

function trim(stringToTrim) {
    return stringToTrim.replace(/^\s+|\s+$/g, "");
}
function ltrim(stringToTrim) {
    return stringToTrim.replace(/^\s+/, "");
}
function rtrim(stringToTrim) {
    return stringToTrim.replace(/\s+$/, "");
}


function CloseAndRebindInsert(IdTblAutoAsisTec) {
    var oWnd = GetRadWindow();

    if (oWnd.BrowserWindow && oWnd.BrowserWindow.refreshGrid) {
        oWnd.BrowserWindow.refreshGrid(IdTblAutoAsisTec);
    }

    oWnd.close();
}

function CloseAndRebindUpdate(IdTblAutoAsisTec) {
    var oWnd = GetRadWindow();

    if (oWnd.BrowserWindow && oWnd.BrowserWindow.refreshGrid) {
        oWnd.BrowserWindow.refreshGrid(IdTblAutoAsisTec);
    }

    oWnd.close();
}

function GetRadWindow() {
    var oWindow = null;
    if (window.radWindow) {
        oWindow = window.radWindow;
    } else if (window.frameElement && window.frameElement.radWindow) {
        oWindow = window.frameElement.radWindow;
    }
    return oWindow;
}

//------------------------------------------------------------------------
// Procesar evento Click del link IngresarDireccionInicio
//------------------------------------------------------------------------
function IngresarDireccionInicio() {
    var ventana = window.radopen("../AireRuidoRadiacion/IngresoDireccion.aspx?n=" + (Math.random()), "IngresoDireccionInicio");
    ventana.Restore();
    return false;
}

//------------------------------------------------------
// Procesar el retorno de la ventana IngresarDireccionInicio
//------------------------------------------------------
function IngresoDireccionInicio_CallBack(radWindow, returnValue) {
    if (!returnValue._argument) {
        return;
    }
    $find("txtDireccionInicio").set_value(returnValue._argument);
}

//------------------------------------------------------------------------
// Procesar evento Click del link BuscarCargarNumInscrip
//------------------------------------------------------------------------
function BuscarCargarNumInscip() {
    var oWnd = window.radopen("../Quimica/BuscarNumInscipAutoAsisTec.aspx?n=" + Math.random(), "BuscarCargarNumInscip");

    setTimeout(function () {
        oWnd.maximize();
    }, 100);

    return false;
}


//------------------------------------------------------
// Procesar el retorno de la ventana BuscarCargarCarnet
//------------------------------------------------------
function BuscarCargarNumInscip_CallBack(radWindow, returnValue) {
    if (!returnValue._argument) {
        return;
    }
    $find("txtNumInsc").set_value(returnValue._argument);
}


//------------------------------------------------------
// Bloquear campos desplegables de dirección 
//------------------------------------------------------
function bloquearCombo(sender, eventArgs) {
    if (!sender.get_enabled()) {
        eventArgs.set_cancel(true);
    }
}

function habilitarCombos() {
    $find("<%= rcbLocalidad.ClientID %>").set_dropDownEnabled(true);
    $find("<%= rcbUPZ.ClientID %>").set_dropDownEnabled(true);
    $find("<%= rcbBarrio.ClientID %>").set_dropDownEnabled(true);
}

function AbrirVentana(nombreVentana, args) {
    /* Si forma en modo de visualización, salir sin cargar ninguna ventana */
    if (getQueryStringValues("mode") == "View") {
       return;
    }

    /* Abrir ventana enviada por parametro*/
    var oWnd = window.radopen(null, nombreVentana);
    oWnd.Argument = args;
    oWnd.SetUrl(oWnd.GetUrl() + "?n=" + (Math.random()));
}

/* 
Ventana Autorización Asistentes Tecnicos 
*/
function showInsertForm() {
    var oWnd = window.radopen("frmAutoAsisTec.aspx?opcion=New" + "&n=" + Math.random(), "UserListDialog");
    oWnd.SetModal(true);
    oWnd.maximize();
    return false;
}

// Asegúrate de que al llamar a esta función desde el Grid, 
// el parámetro 'id' sea el valor de la columna IdTblAutoAsisTec (ej: 501)
function ShowEditForm(id) {
    var url = "frmAutoAsisTec.aspx?opcion=Edit&IdTblAutoAsisTec=" + id + "&n=" + Math.random();
    var oWnd = radopen(url, "UserListDialog");
    oWnd.center();
    oWnd.maximize();
    return false;
}

/* 
Ventana RgRepAutoAsisTec
*/
function ShowVerificarFormSDS(id) {
    // Pasamos el ID del registro por URL
    var oWnd = radopen("frmAutoAsisTec.aspx?opcion=VerificarSDS&IdTblAutoAsisTec=" + id + "&n=" + Math.random(), "UserListDialog");
    oWnd.center();
    oWnd.maximize();
    return false;
}

function ShowEditFormSDS(id) {
    // Pasamos el ID del registro por URL
    var oWnd = radopen("frmAutoAsisTec.aspx?opcion=EditSDS&IdTblAutoAsisTec=" + id + "&n=" + Math.random(), "UserListDialog");
    oWnd.center();
    oWnd.maximize();
    return false;
}

function ShowViewFormSDS(id) {
    var oWnd = window.radopen("frmAutoAsisTec.aspx?opcion=ViewSDS&IdTblAutoAsisTec=" + id + "&n=" + Math.random(), "UserListDialog");
    oWnd.center();
    oWnd.maximize();
    return false;
}